org.apache.http.impl.nio.reactor

## Interface SSLSetupHandler

- Deprecated.
  (4.2) use `SSLSetupHandler`

      @Deprecated
      public interface SSLSetupHandler

  Callback interface that can be used to customize various aspects of the TLS/SSl protocol.
  Since:
    4.1

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initalize(SSLEngine sslengine, HttpParams params)` Deprecated. Triggered when the SSL connection is being initialized.
    `void` | `verify(IOSession iosession, SSLSession sslsession)` Deprecated. Triggered when the SSL connection has been established and initial SSL handshake has been successfully completed.

- - ### Method Detail

    - #### initalize

          void initalize(SSLEngine sslengine,
                       HttpParams params)
                         throws SSLException

      Deprecated.
      Triggered when the SSL connection is being initialized. Custom handlers can use this callback to customize properties of the `SSLEngine` used to establish the SSL session.
      Parameters:
        `sslengine` - the SSL engine.
        `params` - HTTP parameters.
      Throws:
        `SSLException` - if case of SSL protocol error.

    - #### verify

          void verify(IOSession iosession,
                    SSLSession sslsession)
                      throws SSLException

      Deprecated.
      Triggered when the SSL connection has been established and initial SSL handshake has been successfully completed. Custom handlers can use this callback to verify properties of the `SSLSession`. For instance this would be the right place to enforce SSL cipher strength, validate certificate chain and do hostname checks.
      Parameters:
        `iosession` - the underlying IOSession for the SSL connection.
        `sslsession` - newly created SSL session.
      Throws:
        `SSLException` - if case of SSL protocol error.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.